Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
        POST
      • Individuals Analysis
        POST
      • Organizations Analysis
        POST
      • Screening Entities Summary Analysis
        POST
      • Create BlackList
        POST
      • Get All BlackList Records
        GET
      • Get Blacklist Record by ID
        GET
      • Delete Blacklist Record by ID
        DELETE
      • Update Blacklist Record by ID
        PATCH
      • Update Blacklist Settings Account
        PATCH
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

Delete Blacklist Record by ID

Developing
DELETE
https://app.rillis.io/api/v1/black-list-api/{id}
Permanently remove a blacklist record from your internal list.
Once deleted, the record will no longer generate matches during screenings. This should be used with care and typically after a formal clearance or resolution.

Request

Path Params

Query Params

Responses

🟒200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://app.rillis.io/api/v1/black-list-api/?client_id=1MpwlwE11dHixJpB8Ksy0sfVON1019EbqRb0&client_secret=ee592d0c880795f14308084088381150f0862a1dce12cf9cea60345ca3671083c708363cc4296a3451afb097b38xxx'
Response Response Example
{
    "entity_type": "PERSON",
    "is_active": true,
    "reason": "Test PERSON",
    "person": {
        "full_name": "API PRUEBA JESUS DEV",
        "gender": "UNSPECIFIED",
        "country_of_birth": "CHL",
        "issuer_country": "CHL",
        "document_type": "CL-RUT",
        "document_number": "55533333333"
    },
    "registered_in": 1762371943458,
    "id": "690ba967e25867a4eff20548"
}
Modified atΒ 2026-01-08 14:58:31
Previous
Get Blacklist Record by ID
Next
Update Blacklist Record by ID
Built with